curl --request DELETE \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
}'
const body = {
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
};
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public", {
method: "DELETE",
headers: {
Authorization: "Bearer fini_your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
import json
body = json.loads('''
{
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
}
''')
response = requests.request(
"DELETE",
"https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public",
headers={"Authorization": "Bearer fini_your_api_key"},
json=body,
)
response.raise_for_status()
result = response.json()
{"success": true}
Test Suite
Remove criteria groups from collection
Unlink criteria groups in a collection.
DELETE
/
v2
/
test-suite
/
folders
/
{id}
/
groups
/
public
curl --request DELETE \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
}'
const body = {
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
};
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public", {
method: "DELETE",
headers: {
Authorization: "Bearer fini_your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
import json
body = json.loads('''
{
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
}
''')
response = requests.request(
"DELETE",
"https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public",
headers={"Authorization": "Bearer fini_your_api_key"},
json=body,
)
response.raise_for_status()
result = response.json()
{"success": true}
Unlink criteria groups in a collection.
Linking a group also includes its current cases in the collection. Send a JSON body with the DELETE request.
Headers
string
required
Bearer token containing your workspace API key. The key needs
write scope.Path parameters
string
required
Collection UUID.
Body parameters
array
required
One to 200 unique criteria-group UUIDs for this agent.
Response
Returnssuccess: true.
curl --request DELETE \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
}'
const body = {
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
};
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public", {
method: "DELETE",
headers: {
Authorization: "Bearer fini_your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
import json
body = json.loads('''
{
"groupIds": [
"00000000-0000-4000-8000-000000000003"
]
}
''')
response = requests.request(
"DELETE",
"https://api-prod.usefini.com/v2/test-suite/folders/00000000-0000-4000-8000-000000000004/groups/public",
headers={"Authorization": "Bearer fini_your_api_key"},
json=body,
)
response.raise_for_status()
result = response.json()
{"success": true}
Was this page helpful?

